<?php

namespace App\Filament\Resources\AlumniMemberResource\Pages;

use App\Filament\Resources\AlumniMemberResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Support\Facades\Gate;
class ListAlumniMembers extends ListRecords
{
    protected static string $resource = AlumniMemberResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->visible(fn () => Gate::allows('create alumnimember')),
        ];
    }
}